## org.eclipse.datatools.modelbase.sql.schema.helper
Class SQLObjectNameHelper

    java.lang.Object
      org.eclipse.datatools.modelbase.sql.schema.helper.SQLObjectNameHelper

All Implemented Interfaces:
  ISQLObjectNameHelper

    public class SQLObjectNameHelper

extends java.lang.Object
implements ISQLObjectNameHelper

This class implements the ISQLObjectNameHelper interface to provide a naming service for SQL Model objects.

Constructor Summary
`SQLObjectNameHelper()`

Method Summary
`java.lang.String` `getIdentifierQuoteString()` Gets the identifier quote string being used to delimit identifiers.
`java.lang.String` `getNameInSQLFormat(Column column)` Gets the name of the given column, delimited as needed to make it suitable for use in constructing an SQL statement.
`java.lang.String` `getNameInSQLFormat(Table table)` Gets the name of the given table, delimited as needed to make it suitable for use in constructing an SQL statement.
`java.lang.String` `getQualifiedNameInSQLFormat(Column column)` Gets the name of the given table, qualified and delimited as needed to make it suitable for use in constructing an SQL statement.
`java.lang.String` `getQualifiedNameInSQLFormat(Table table)` Gets the name of the given table, qualified and delimited as needed to make it suitable for use in constructing an SQL statement.
`void` `setIdentifierQuoteString(java.lang.String quoteString)` Sets the identifier quote string to use to delimit identifiers.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SQLObjectNameHelper

    public SQLObjectNameHelper()

Method Detail

### getNameInSQLFormat

    public java.lang.String getNameInSQLFormat(Column column)

  Gets the name of the given column, delimited as needed to make it suitable for use in constructing an SQL statement.

  Specified by:
    `getNameInSQLFormat` in interface `ISQLObjectNameHelper`
  Parameters:
    `table` - the SQL Model column object for which the name is wanted
  Returns:
    the (possibly) delimited SQL format name of the column

### getNameInSQLFormat

    public java.lang.String getNameInSQLFormat(Table table)

  Gets the name of the given table, delimited as needed to make it suitable for use in constructing an SQL statement.

  Specified by:
    `getNameInSQLFormat` in interface `ISQLObjectNameHelper`
  Parameters:
    `table` - the SQL Model table object for which the name is wanted
  Returns:
    the (possibly) delimited SQL format name of the table

### getQualifiedNameInSQLFormat

    public java.lang.String getQualifiedNameInSQLFormat(Column column)

  Gets the name of the given table, qualified and delimited as needed to make it suitable for use in constructing an SQL statement.

  Specified by:
    `getQualifiedNameInSQLFormat` in interface `ISQLObjectNameHelper`
  Parameters:
    `table` - the SQL Model table object for which the name is wanted
  Returns:
    the qualified and delimited name of the table

### getQualifiedNameInSQLFormat

    public java.lang.String getQualifiedNameInSQLFormat(Table table)

  Gets the name of the given table, qualified and delimited as needed to make it suitable for use in constructing an SQL statement.

  Specified by:
    `getQualifiedNameInSQLFormat` in interface `ISQLObjectNameHelper`
  Parameters:
    `table` - the SQL Model table object for which the name is wanted
  Returns:
    the qualified and delimited name of the table

### getIdentifierQuoteString

    public java.lang.String getIdentifierQuoteString()

  Gets the identifier quote string being used to delimit identifiers. The default is " (double-quote character).

  Specified by:
    `getIdentifierQuoteString` in interface `ISQLObjectNameHelper`
  Returns:
    the current identifier quote string

### setIdentifierQuoteString

    public void setIdentifierQuoteString(java.lang.String quoteString)

  Sets the identifier quote string to use to delimit identifiers.

  Specified by:
    `setIdentifierQuoteString` in interface `ISQLObjectNameHelper`
  Parameters:
    `quoteString` - the identifier quote string to use